--Quest Log Button-Collapse
local CQLLOGBTN = CreateFrame("Button", "CQL-Collapse QuestLog", QuestScrollFrame, 'UIPanelButtonTemplate')
	--Set frame strata to draw over most other frames
CQLLOGBTN:SetFrameStrata(HIGH)
CQLLOGBTN:SetFrameLevel(100)
CQLLOGBTN:SetNormalTexture("Interface\\Buttons\\UI-MinusButton-Up")


	--Set Attributes for button (i.e. size, anchor, text)
CQLLOGBTN:SetSize(20, 20)
CQLLOGBTN:SetPoint("TOPRIGHT", 0, 0)



	--Make button work with left click and execute collapse
CQLLOGBTN:RegisterForClicks("LeftButtonUp")
CQLLOGBTN:SetScript("OnClick", function() CollapseQuestHeader(0) end)


--Quest Log Button-Expand
local EXPANDLOGBTN = CreateFrame("Button", "CQL-Expand QuestLog", QuestScrollFrame, 'UIPanelButtonTemplate')
	--Set frame strata to draw over most other frames
EXPANDLOGBTN:SetFrameStrata(HIGH)
EXPANDLOGBTN:SetFrameLevel(100)
EXPANDLOGBTN:SetNormalTexture("Interface\\Buttons\\UI-PlusButton-Up")



	--Set Attributes for button (i.e. size, anchor, text)
EXPANDLOGBTN:SetSize(20, 20)
EXPANDLOGBTN:SetPoint("TOPRIGHT", -20, 0)



	--Make button work with left click and execute Expand
EXPANDLOGBTN:RegisterForClicks("LeftButtonUp")
EXPANDLOGBTN:SetScript("OnClick", function() ExpandQuestHeader(0) end)






--Tradeskill Button-Collapse
local CollapseTSBTN = CreateFrame("Button", "CQL-Collapse/Expand TradeSkills", ProfessionsFrame.CraftingPage.RecipeList, 'UIPanelButtonTemplate')
local scrollBox = ProfessionsFrame.CraftingPage.RecipeList.ScrollBox

	--Set frame strata to draw over most other frames
CollapseTSBTN:SetFrameStrata(HIGH)
CollapseTSBTN:SetFrameLevel(100)
CollapseTSBTN:SetNormalTexture("Interface\\Buttons\\UI-MinusButton-Up")


	--Set Attributes for button (i.e. size, anchor, text)
CollapseTSBTN:SetSize(20,20)
CollapseTSBTN:SetPoint("TOPRIGHT", -0,20)
	--CollapseTSBTN:SetText('-')

	--make button work with left click and execute collapse. two methods:
CollapseTSBTN:RegisterForClicks("LeftButtonUp")

	--make button work with left click and execute Collapse
local scrollBox = ProfessionsFrame.CraftingPage.RecipeList.ScrollBox
CollapseTSBTN:SetScript("OnClick", function()
for _, node in ipairs(scrollBox:GetDataProvider():GetChildrenNodes()) do
    node:SetCollapsed(true) -- or false to expand
    scrollBox:FindFrame(node):SetCollapseState(node:IsCollapsed())
end 
end)




--Tradeskill Button-Expand (for dual button method)

local EXPANDTSBTN = CreateFrame("Button", "Expand Tradeskills", ProfessionsFrame.CraftingPage.RecipeList, 'UIPanelButtonTemplate')
	--local scrollBox = ProfessionsFrame.CraftingPage.RecipeList.ScrollBox

	--Set frame strata to draw over most other frames
EXPANDTSBTN:SetFrameStrata(HIGH)
EXPANDTSBTN:SetFrameLevel(100)
EXPANDTSBTN:SetNormalTexture("Interface\\Buttons\\UI-PlusButton-Up")



	--Set Attributes for button (i.e. size, anchor, text)
EXPANDTSBTN:SetSize(20,20)
EXPANDTSBTN:SetPoint("TOPRIGHT", -20,20)
	--EXPANDTSBTN:SetText('+')

	--Make button work with left click and execute Expand
EXPANDTSBTN:RegisterForClicks("LeftButtonUp")


EXPANDTSBTN:SetScript("OnClick", function()
for _, node in ipairs(scrollBox:GetDataProvider():GetChildrenNodes()) do
    node:SetCollapsed(false) -- or true to expand
    scrollBox:FindFrame(node):SetCollapseState(node:IsCollapsed())
end 
end)
